/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	// Set up variable
	api = wp.customize;

	// Site title and description.
	api( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );

	// Top bar background color
	api( 'autoplay_top_bar_bg_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#000000';
			$( '.main-navigation' ).css( 'background-color', to );
		} );
	} );

	// Top bar background color
	api( 'autoplay_header_bg_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#14171c';
			$( '.site-header' ).css( 'background-color', to );
		} );
	} );

	// Most views background color
	api( 'autoplay_views_bg_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#14171c';
			$( '.views-posts' ).css( 'background-color', to );
		} );
	} );

	// Footer background color
	api( 'autoplay_footer_bg', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#f5f5f5';
			$( '.site-footer' ).css( 'background-color', to );
		} );
	} );

} )( jQuery );
