/**
 * Theme Customizer enhancements for a better user experience.
 *
 * Contains handlers to make Theme Customizer preview reload changes asynchronously.
 */

( function( $ ) {

	// Set up variable
	api = wp.customize;

	// Site title and description.
	api( 'blogname', function( value ) {
		value.bind( function( to ) {
			$( '.site-title a' ).text( to );
		} );
	} );

	// Top bar background color
	api( 'autoplay_top_bar_bg_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#333333';
			$( '.main-navigation' ).css( 'background-color', to );
		} );
	} );

	// Body background color
	api( 'autoplay_body_bg_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#ffffff';
			$( '.wide-container' ).css( 'background-color', to );
		} );
	} );

	// Footer background color
	api( 'autoplay_footer_bg_color', function ( value ) {
		value.bind( function ( to ) {
			to = to ? to : '#333333';
			$( '.site-footer' ).css( 'background-color', to );
		} );
	} );

	// Trending
	api( 'autoplay_trending_title', function( value ) {
		value.bind( function( to ) {
			$( '.trending-title' ).text( to );
		} );
	} );

} )( jQuery );
